# $Revision: 1.18 $, $Date: 2010/10/09 16:46:30 $
# NOTE
# - imho it requires java ext, it is not optional? making it php4-only package
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	XML_svg2image
Summary:	%{_pearname} - converts a SVG file to a PNG/JPEG image
Summary(pl.UTF-8):	%{_pearname} - konwersja plików SVG do obrazków PNG/JPEG
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2ec2aa629af1d0bac9af1dc9a0e6badc
URL:		http://pear.php.net/package/XML_svg2image/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	java-xmlgraphics-batik
Suggests:	php-java
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Converts a SVG file to a PNG/JPEG image with the help of apache-batik
(java-program), needs therefore a PHP with ext/java compiled-in and
the batik files from <http://xml.apache.org/batik/>.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa ta przekształca pliki SVG do obrazków PNG/JPEG przy pomocy
programu apache-batik (w Javie), dlatego wymaga PHP z rozszerzeniem
java i plików batik z <http://xml.apache.org/batik/>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# tests should not be packaged
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/svg2image.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_svg2image.spec,v $
Revision 1.18  2010/10/09 16:46:30  glen
- up to 0.2.0
- this package needs java to run, or it is really optional?

Revision 1.17  2008/01/31 12:17:20  glen
- rel 5

Revision 1.16  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.14  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.13  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.12  2006/03/07 10:20:49  glen
- BR php-pear-PEAR

Revision 1.11  2005/10/05 20:59:32  glen
- rel 3

Revision 1.10  2005/10/03 13:03:08  glen
- new pear packaging

Revision 1.9  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/10/30 07:07:26  paladine
- unifications

Revision 1.7  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/15 17:44:33  ankry
- massive cosmetics

Revision 1.5  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.4  2003/09/01 13:55:02  ankry
- md5

Revision 1.3  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/06/03 20:52:07  adamg
- initial import
